require_dependency "binect_user_area/application_controller"

module BinectUserArea
    class UsersController < AuthenticatedController
        before_action :set_user, only: [:show, :edit, :update]
        before_action :set_previous_payments, only: [:show, :edit, :update]

        # GET /users/1/edit
        def edit
        end

        def update
            if @user.update(user_params)
                #redirect_to @document, notice: 'Document was successfully created.'
                render :edit
            else
                flash[:error] = "Die Daten konnten nicht gespeichert werden."
                render :edit
            end
        end

        def destroy
            #byebug
            # TODO: Implement me!
            redirect_to "/logout"
        end

        private
        # Use callbacks to share common setup or constraints between actions.
        def set_user
            @user = DeviseAuthentication::User.find(params[:id])
        end

        def set_previous_payments
            @previous_payments = WebFrontendBinect::Payment.where(user_id: current_user.id, is_payment_confirmed: true).order_by(:created_at => :desc)
        end

        # Only allow a trusted parameter "white list" through.
        def user_params
            params.require(:user).permit(:email, :forename, :lastname, :company, :street, :street_no, :zipcode, :city, :return_address)
        end
    end
end
