require 'test_helper'

module BinectUserArea
  class UsersControllerTest < ActionController::TestCase
    setup do
      @user = binect_user_area_users(:one)
      @routes = Engine.routes
    end

    test "should get index" do
      get :index
      assert_response :success
      assert_not_nil assigns(:users)
    end

    test "should get new" do
      get :new
      assert_response :success
    end

    test "should create user" do
      assert_difference('User.count') do
        post :create, user: { show: @user.show }
      end

      assert_redirected_to user_path(assigns(:user))
    end

    test "should show user" do
      get :show, id: @user
      assert_response :success
    end

    test "should get edit" do
      get :edit, id: @user
      assert_response :success
    end

    test "should update user" do
      patch :update, id: @user, user: { show: @user.show }
      assert_redirected_to user_path(assigns(:user))
    end

    test "should destroy user" do
      assert_difference('User.count', -1) do
        delete :destroy, id: @user
      end

      assert_redirected_to users_path
    end
  end
end
